MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027963Open CASCADE[OCCT] OCCT:Codingpublic2016-10-13 20:472016-12-09 16:38
Reporterkgv 
Assigned Toapv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027963: Coding Rules - eliminate GCC compiler warnings -Wmissing-field-initializers in OSD_File.cxx
DescriptionMingw-w64 generates a couple of new compiler warnings on current master indicating that LARGE_INTEGER variables are not properly initialized in OSD_File.cxx:

occt\src\OSD\OSD_File.cxx: In member function 'void OSD_File::Rewind()':
occt\src\OSD\OSD_File.cxx:909:39: warning: missing initializer for member '_LARGE_INTEGER::<anonymous 
struct>::HighPart' [-Wmissing-field-initializers]
   LARGE_INTEGER aDistanceToMove = { 0 };
                                       ^
occt\src\OSD\OSD_File.cxx: In member function 'void OSD_File::ReadLine(TCollection_AsciiString&, 
Standard_Integer, Standard_Integer&)':
occt\src\OSD\OSD_File.cxx:1144:45: warning: missing initializer for member '_LARGE_INTEGER::<anonymous 
struct>::HighPart' [-Wmissing-field-initializers]
         LARGE_INTEGER aDistanceToMove = { 0 };
                                             ^
occt\src\OSD\OSD_File.cxx:1155:42: warning: missing initializer for member '_LARGE_INTEGER::<anonymous 
struct>::HighPart' [-Wmissing-field-initializers]
      LARGE_INTEGER aDistanceToMove = { 0 };
                                          ^
occt\src\OSD\OSD_File.cxx: In member function 'void OSD_File::Seek(Standard_Integer, OSD_FromWhere)':

occt\src\OSD\OSD_File.cxx:1334:56: warning: missing initializer for member '_LARGE_INTEGER::<anonymous 
struct>::HighPart' [-Wmissing-field-initializers]
   LARGE_INTEGER aDistanceToMove, aNewFilePointer = { 0 };
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0058696)
git (administrator)
2016-10-13 21:11

Branch CR27963 has been created by kgv.

SHA-1: 319e27909388687c029a8677865f737acbc2d33b


Detailed log of new commits:

Author: kgv
Date: Thu Oct 13 21:09:51 2016 +0300

    0027963: Coding Rules - eliminate GCC compiler warnings -Wmissing-field-initializers in OSD_File.cxx
(0058697)
kgv (developer)
2016-10-13 21:12

Please check compilation, regression testing is not needed.
(0058723)
git (administrator)
2016-10-14 14:24

Branch CR27963 has been updated forcibly by apv.

SHA-1: c8c250a59dd6f430fd65397a3bfe8ba133871081
(0058724)
apv (tester)
2016-10-14 14:25

Branch CR27963 has been rebased on the current master
(0058775)
apv (tester)
2016-10-17 12:35

Dear BugMaster,

Branch CR27963 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: c8c250a59dd6f430fd65397a3bfe8ba133871081

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1132
(0059477)
git (administrator)
2016-10-28 21:42

Branch CR27963 has been deleted by kgv.

SHA-1: c8c250a59dd6f430fd65397a3bfe8ba133871081

- Related Changesets
occt: master c8c250a5
Timestamp: 2016-10-13 18:09:51
Author: kgv
Committer: apv
Details ] Diff ]
0027963: Coding Rules - eliminate GCC compiler warnings -Wmissing-field-initializers in OSD_File.cxx
mod - src/OSD/OSD_File.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-10-13 20:47 kgv New Issue
2016-10-13 20:47 kgv Assigned To => kgv
2016-10-13 20:48 kgv Relationship added child of 0027350
2016-10-13 21:11 git Note Added: 0058696
2016-10-13 21:12 kgv Note Added: 0058697
2016-10-13 21:12 kgv Assigned To kgv => bugmaster
2016-10-13 21:12 kgv Severity minor => trivial
2016-10-13 21:12 kgv Status new => resolved
2016-10-13 21:12 kgv Status resolved => reviewed
2016-10-14 13:59 apv Assigned To bugmaster => apv
2016-10-14 14:24 git Note Added: 0058723
2016-10-14 14:25 apv Note Added: 0058724
2016-10-17 12:34 apv Assigned To apv => kgv
2016-10-17 12:34 apv Assigned To kgv => apv
2016-10-17 12:34 apv Test case number => Not needed
2016-10-17 12:35 apv Note Added: 0058775
2016-10-17 12:35 apv Assigned To apv => bugmaster
2016-10-17 12:35 apv Status reviewed => tested
2016-10-21 11:25 apv Changeset attached => occt master c8c250a5
2016-10-21 11:25 apv Assigned To bugmaster => apv
2016-10-21 11:25 apv Status tested => verified
2016-10-21 11:25 apv Resolution open => fixed
2016-10-28 21:42 git Note Added: 0059477
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker